HashiCorp Cloud Platform
/infragraph/organizations/{location.organization_id}/schema/nodes
SchemaService_ListNodeSchemas
https:/ / api.cloud.hashicorp.com/ infragraph/ 2025-05-07/ organizations/ {location.organization_id}/ schema/ nodes
The max number of results per page that should be returned. If the number
of available results is larger than page_size, a next_page_token is
returned which can be used to get the next page of results in subsequent
requests. A value of zero will cause page_size to be defaulted.
Specifies a page token to use to retrieve the next page. Set this to the
next_page_token returned by previous list requests to get the next page of
results. If set, previous_page_token must not be set.
Specifies a page token to use to retrieve the previous page. Set this to
the previous_page_token returned by previous list requests to get the
previous page of results. If set, next_page_token must not be set.
source_types filters returned node schemas by source type (e.g. "AWS_EC2_INSTANCE"). This field is optional. If left unset, all types will be included. Repeated values are ORed together. This field is mutually exclusive with sources and unified_types.
sources filters node schemas by their data source (e.g. "AWS", "GCP", "HCP_TERRAFORM"). This field is optional. If left unset, all sources will be included. Repeated values are ORed together. If unified_types is also provided, both fields are applied as an intersecting subset. This field is mutually exclusive with source_types.
unified_types filters node schemas by their unified type (e.g. "VIRTUAL_MACHINE"). This field is optional. If left unset, all types will be included. Repeated values are ORed together. If sources is also provided, both fields are applied as an intersecting subset. This field is mutually exclusive with source_types. This field also supports the universal base type ("BASE").
include_unified_types indicates whether node schemas for unified types (including the universal base type) should be included in returned node schemas. If set to false, only source type node schemas will be returned. If set to true, the response expands the already-matched source-backed node schemas with any unified-only parent types they reference, plus BASE. Defaults to false.
NodeSchema represents the basic description of a given node type and its properties.
NodeDescriptor describes a node by its source, source type, and unified type.
PropertySchema represents the schema of a node property.
inherited_from indicates the node type that this property is inherited from. If the property is not inherited, this field will be left blank. Otherwise, this field will be set to a unified type (e.g. "VIRTUAL_MACHINE") or the universal base type ("BASE"), which indicates a property that is common to all types.
PaginationResponse is the response holding the page tokens for a paginated list response.
This token allows you to get the previous page of results for list
requests. If the number of results is larger than page_size, use the
previous_page_token as a value for the query parameter
previous_page_token in the next request. The value will become empty when
there are no more pages.